﻿using UnityEngine;
using System.Collections;

public class PlayerFalls : MonoBehaviour {

	PlayerStatus playerStatus;
	public GameObject player;
	// Use this for initialization
	void Start () {
		playerStatus = GameObject.FindGameObjectWithTag ("Player").GetComponent<PlayerStatus> ();
	}
	
	// Update is called once per frame
	void Update () {
		Vector3 playerPos = player.transform.position;
		Vector3 ownPos = transform.position;
		transform.position = new Vector3(playerPos.x, ownPos.y, ownPos.z);
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		if (other.gameObject.tag == "Player")
		{
			playerStatus.Die();
		}
	}
}
